using CityInfo.WEB.Models;

namespace CityInfo.WEB.Services
{
    public class PointOfInterestDataService : IPointOfInterestDataService
    {
        private readonly HttpClient _httpClient;

        public PointOfInterestDataService(
            HttpClient httpClient)
        {
            _httpClient = httpClient;
        }
        public Task<PointOfInterest> CreatePointOfInterest(int cityId, PointOfInterest pointOfInterest)
        {
            throw new NotImplementedException();
        }

        public Task DeletePointOfInterest(int cityId, int pointOfInterestId)
        {
            throw new NotImplementedException();
        }

        public Task<PointOfInterest> GetPointOfInterest(int cityId, int pointOfInterestId)
        {
            throw new NotImplementedException();
        }

        public Task<IEnumerable<PointOfInterest>> GetPointsOfInterest(int cityId)
        {
            throw new NotImplementedException();
        }

        public Task UpdatePointOfInterest(int cityId, PointOfInterest pointOfInterest)
        {
            throw new NotImplementedException();
        }
    }
}
